/// <reference types="cypress" />
describe('Client unpaid', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
    });
    it('Should add unpaid', () => {
        cy.visit('#/customer/1102/others/unpaid');
        cy.get('.q-card').should('be.visible');
        cy.get('.q-checkbox__inner').click();
        cy.dataCy('customerUnpaidAmount').find('input').type('100');
        cy.dataCy('customerUnpaidDate').find('input').type('01/01/2001');
        cy.get('.q-btn-group > .q-btn--standard').click();
        cy.reload();
        cy.get('.q-checkbox__inner')
            .should('be.visible')
            .and('not.have.class', 'q-checkbox__inner--active');
    });
});
